From 9075bafa1dfe3417f1b9ce732618c11c2a2563da Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 05:17:07 +0000
Subject: [PATCH 1522/2232] Add array len parse ui tests


---

diff --git a/tests/ui/array_len_expr.rs b/tests/ui/array_len_expr.rs
new file mode 100644
index 0000000..fdd9783
--- /dev/null
+++ b/tests/ui/array_len_expr.rs
@@ -0,0 +1,9 @@
+#[cxx::bridge]
+mod ffi {
+    unsafe extern "C++" {
+        fn arraystr() -> [String; "13"];
+        fn arraysub() -> [String; 15 - 1];
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/array_len_expr.stderr b/tests/ui/array_len_expr.stderr
new file mode 100644
index 0000000..cb94328
--- /dev/null
+++ b/tests/ui/array_len_expr.stderr
@@ -0,0 +1,11 @@
+error: array length must be an integer literal
+ --> $DIR/array_len_expr.rs:4:35
+  |
+4 |         fn arraystr() -> [String; "13"];
+  |                                   ^^^^
+
+error: unsupported expression, array length must be an integer literal
+ --> $DIR/array_len_expr.rs:5:35
+  |
+5 |         fn arraysub() -> [String; 15 - 1];
+  |                                   ^^^^^^

